;==========================================================================
;
; Holychip AD030 Head Files
; Date:     2018-6-21
;
;==========================================================================

;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W		                EQU		      H'0000'
F	                  EQU		      H'0001'

;CORE REGISTER
INDF0		            EQU		      0x00
INDF1		            EQU		      0x01
PCL		              EQU		      0x02
STATUS	            EQU		      0x03
FSR0L		            EQU		      0x04
FSR0H		            EQU		      0x05
FSR1L		            EQU		      0x06
FSR1H		            EQU		      0x07
PCLATH		          EQU		      0x08
INTCON	  	        EQU		      0x09
        			
    			
TRISA		            EQU		      0x10
TRISB		            EQU		      0x11
TRISC		            EQU		      0x12
TRISD		            EQU		      0x13
                                
WPUA		            EQU		      0x14
WPUB		            EQU		      0x15
WPUC		            EQU		      0x16
WPUD		            EQU		      0x17
            
            
WPDA		            EQU		      0x18
WPDB		            EQU		      0x19
WPDC		            EQU		      0x1A
WPDD		            EQU		      0x1B
            
PORTA		            EQU		      0x1C
PORTB		            EQU		      0x1D
PORTC		            EQU		      0x1E
PORTD		            EQU		      0x1F
           
PWM_DRV             EQU		      0x21
INT_CTRL            EQU         0x23
INT_FLAG            EQU         0x24
INT_CTRLC           EQU         0x25 
INT_FLAGC           EQU         0x26 

INT_IO		          EQU		      0x28
INT_FLAG_IO	        EQU	      	0x29
RFC_CTRL	          EQU	      	0x2E
TMA_CTRL            EQU         0x31
TMB_CTRL            EQU         0x32

TMA_PWMF            EQU         0x33
TMA_PWMD            EQU         0x34

TMB_CNTL            EQU         0x35
TMB_CNTH            EQU         0x36

C32K_EN             EQU         0x3A
TBS_SEL             EQU         0x3B
MISC_REG            EQU         0x3C

INSTROBEN_B         EQU         0x3D
INSTROBEN_C         EQU         0x3E
INSTROBEN_D         EQU         0x3F

WAKEUP_CTRL         EQU         0x40
WAKEUP_STA          EQU         0x41
LCD_CTRL            EQU         0x42      		
LVD_CTRL            EQU         0x43   

INSTROBEN_A         EQU         0x44

PA_NMWKEN           EQU         0x45
PB_NMWKEN           EQU         0x47
PC_NMWKEN           EQU         0x48
PD_NMWKEN           EQU         0x49

IOA_DATBF           EQU         0x4A
IOB_DATBF           EQU         0x4B
IOC_DATBF           EQU         0x4C
IOD_DATBF           EQU         0x4D

IOA_SEL             EQU         0x5A
IOB_SEL             EQU         0x5B
IOC_SEL             EQU         0x5C

SEGDATA0	          EQU		      0x060
SEGDATA1	          EQU		      0x061
SEGDATA2	          EQU		      0x062
SEGDATA3	          EQU		      0x063
SEGDATA4	          EQU		      0x064
SEGDATA5	          EQU		      0x065
SEGDATA6	          EQU		      0x066
SEGDATA7	          EQU		      0x067
SEGDATA8	          EQU		      0x068
SEGDATA9	          EQU		      0x069
SEGDATA10	          EQU		      0x06A
SEGDATA11	          EQU		      0x06B
SEGDATA12	          EQU		      0x06C
SEGDATA13	          EQU		      0x06D
SEGDATA14	          EQU		      0x06E
SEGDATA15	          EQU		      0x06F
SEGDATA16	          EQU		      0x070
SEGDATA17	          EQU		      0x071
SEGDATA18	          EQU		      0x072
SEGDATA19	          EQU		      0x073
SEGDATA20	          EQU		      0x074
SEGDATA21	          EQU		      0x075
SEGDATA22	          EQU		      0x076
SEGDATA23	          EQU		      0x077
SEGDATA24	          EQU		      0x078
SEGDATA25	          EQU		      0x079
SEGDATA26	          EQU		      0x07A
SEGDATA27	          EQU		      0x07B
SEGDATA28	          EQU		      0x07C
SEGDATA29	          EQU		      0x07D
SEGDATA30	          EQU		      0x07E
SEGDATA31	          EQU		      0x07F


LCDVD               EQU         0x080
LCDPS               EQU         0x081
                   
PMDATL              EQU         0x09A
PMDATH              EQU         0x09B
PMADRL              EQU         0x09C
PMADRH              EQU         0x09D
PMCON               EQU         0x09E
;----- STATUS Bits --------------------------------------------------------

T0	                EQU        	H'0004'
PD	                EQU        	H'0003'
Z		                EQU         H'0002'
DC	                EQU        	H'0001'
C		                EQU         H'0000'
;----- INTCON Bits --------------------------------------------------------

GIE	            	  EQU         H'0007'

;----- TRISA Bits --------------------------------------------------------
TRISA7	            EQU        	H'0007'  
TRISA6	            EQU        	H'0006'
TRISA5	            EQU        	H'0005'
TRISA4	            EQU        	H'0004'
TRISA3	            EQU        	H'0003'
TRISA2              EQU         H'0002'
TRISA1	            EQU        	H'0001'
TRISA0	            EQU        	H'0000'

;----- TRISB Bits --------------------------------------------------------

TRISB7		          EQU         H'0007'  
TRISB6		          EQU         H'0006'
TRISB5		          EQU         H'0005'
TRISB4		          EQU         H'0004'
TRISB3		          EQU         H'0003'
TRISB2              EQU         H'0002'
TRISB1		          EQU         H'0001'
TRISB0		          EQU         H'0000'
;----- TRISC Bits --------------------------------------------------------
TRISC7		          EQU         H'0007'  
TRISC6		          EQU         H'0006'
TRISC5		          EQU         H'0005'
TRISC4		          EQU         H'0004'
TRISC3		          EQU         H'0003'
TRISC2              EQU         H'0002'
TRISC1		          EQU         H'0001'
TRISC0		          EQU         H'0000'
;----- TRISD Bits --------------------------------------------------------
TRISD7		          EQU         H'0007'  
                                
TRISD5		          EQU         H'0005'
                                
TRISD3		          EQU         H'0003'
TRISD2              EQU         H'0002'
TRISD1		          EQU         H'0001'
TRISD0		          EQU         H'0000'
;----- WPUA Bits ----------------------------------------------------------
WPUA7		            EQU         H'0007'  
WPUA6		            EQU         H'0006'
WPUA5		            EQU         H'0005'
WPUA4		            EQU         H'0004'
WPUA3		            EQU         H'0003'
WPUA2               EQU         H'0002'
WPUA1		            EQU         H'0001'
WPUA0		            EQU         H'0000'
;----- WPUB Bits ----------------------------------------------------------

WPUB7		            EQU         H'0007'  
WPUB6		            EQU         H'0006'
WPUB5		            EQU         H'0005'
WPUB4		            EQU         H'0004'
WPUB3		            EQU         H'0003'
WPUB2               EQU         H'0002'
WPUB1		            EQU         H'0001'
WPUB0		            EQU         H'0000'
;----- WPUC Bits ----------------------------------------------------------

WPUC7		            EQU         H'0007'  
WPUC6		            EQU         H'0006'
WPUC5		            EQU         H'0005'
WPUC4		            EQU         H'0004'
WPUC3		            EQU         H'0003'
WPUC2               EQU         H'0002'
WPUC1		            EQU         H'0001'
WPUC0		            EQU         H'0000'
;----- WPUD Bits ----------------------------------------------------------

WPUD7	              EQU         H'0007'  

WPUD5	              EQU         H'0005'

WPUD3	              EQU         H'0003'
WPUD2               EQU         H'0002'
WPUD1	              EQU         H'0001'
WPUD0	              EQU         H'0000'

;----- WPDA Bits ----------------------------------------------------------

WPDA7		            EQU         H'0007'  
WPDA6		            EQU         H'0006'
WPDA5		            EQU         H'0005'
WPDA4		            EQU         H'0004'
WPDA3		            EQU         H'0003'
WPDA2               EQU         H'0002'
WPDA1		            EQU         H'0001'
WPDA0		            EQU         H'0000'
;----- WPDB Bits ----------------------------------------------------------

WPDB7	              EQU	        H'0007'  
WPDB6	              EQU	        H'0006'
WPDB5	              EQU	        H'0005'
WPDB4	              EQU	        H'0004'
WPDB3	              EQU	        H'0003'
WPDB2               EQU         H'0002'
WPDB1	              EQU	        H'0001'
WPDB0	              EQU	        H'0000'
;----- WPDC Bits ----------------------------------------------------------

WPDC7		            EQU         H'0007'  
WPDC6		            EQU         H'0006'
WPDC5		            EQU         H'0005'
WPDC4		            EQU         H'0004'
WPDC3		            EQU         H'0003'
WPDC2               EQU         H'0002'
WPDC1		            EQU         H'0001'
WPDC0		            EQU         H'0000'
;----- WPDD Bits ----------------------------------------------------------

WPDD7	              EQU	        H'0007'  

WPDD5	              EQU	        H'0005'

WPDD3	              EQU	        H'0003'
WPDD2               EQU         H'0002'
WPDD1	              EQU	        H'0001'
WPDD0	              EQU	        H'0000'

;----- PORTA Bits ----------------------------------------------------------

PORTA7	            EQU	        H'0007'  
PORTA6	            EQU	        H'0006'
PORTA5	            EQU	        H'0005'
PORTA4	            EQU	        H'0004'
PORTA3	            EQU	        H'0003'
PORTA2              EQU         H'0002'
PORTA1	            EQU	        H'0001'
PORTA0	            EQU	        H'0000'
;----- PORTB Bits ----------------------------------------------------------

PORTB7		          EQU         H'0007'  
PORTB6		          EQU         H'0006'
PORTB5		          EQU         H'0005'
PORTB4		          EQU         H'0004'
PORTB3		          EQU         H'0003'
PORTB2              EQU         H'0002'
PORTB1		          EQU         H'0001'
PORTB0		          EQU         H'0000'
;----- PORTC Bits ----------------------------------------------------------

PORTC7	            EQU	        H'0007'  
PORTC6	            EQU	        H'0006'
PORTC5	            EQU	        H'0005'
PORTC4	            EQU	        H'0004'
PORTC3	            EQU	        H'0003'
PORTC2              EQU         H'0002'
PORTC1	            EQU	        H'0001'
PORTC0	            EQU	        H'0000'
;----- PORTD Bits ----------------------------------------------------------
PORTD7	            EQU	        H'0007'  

PORTD5	            EQU	        H'0005'

PORTD3	            EQU	        H'0003'
PORTD2              EQU         H'0002'
PORTD1	            EQU	        H'0001'
PORTD0	            EQU	        H'0000'
;----- PWM_DRV Bits ----------------------------------------------------------
PWMDRV1		          EQU         H'0005'
PWMDRV0		          EQU         H'0004'
PB1DRV1		          EQU         H'0003'
PB1DRV0		          EQU         H'0002'
PB0DRV1		          EQU         H'0001'
PB0DRV0		          EQU         H'0000'
;----- INT_CTRL Bits ----------------------------------------------------------
TMAOIE	            EQU	        H'0006'
TMBOIE	            EQU	        H'0004'
;----- INT_FLAG Bits ----------------------------------------------------------
TMAOIF	            EQU	        H'0006'
TMBOIF	            EQU	        H'0004'

;----- INT_CTRLC Bits ----------------------------------------------------------

TBLIE	             	EQU         H'0004'
;----- INT_FLAGC Bits ----------------------------------------------------------
TBLIF		            EQU         H'0004'
;----- INT_IO Bits ----------------------------------------------------------
INTEDG1		          EQU         H'0003'
INTEDG0		          EQU         H'0002'
PBINT1		          EQU         H'0001'
PBINT0		          EQU         H'0000'
;----- INT_FLAGIO Bits ----------------------------------------------------------
PBINTF1		          EQU         H'0003'
PBINTF0		          EQU         H'0002'
;----- RFC_CTRL Bits ------------------------------------------------------------
RFOCEN		          EQU         H'0004'
RFCEN		            EQU         H'0003'
RFC2		            EQU         H'0002'
RFC1		            EQU         H'0001'
RFC0		            EQU         H'0000'

;----- TMA_CTRL Bits ------------------------------------------------------------
TMAES		            EQU         H'0007'
TMACLK1		          EQU         H'0005'
TMACLK0		          EQU         H'0004'
TMAMOD1		          EQU         H'0001'
TMAMOD0		          EQU         H'0000'
;----- TMB_CTRL Bits ------------------------------------------------------------
TMBES		            EQU         H'0007'
TMBCLKIO	          EQU         H'0006'
TMBCLK1		          EQU         H'0005'
TMBCLK0		          EQU         H'0004'
IRENB  		          EQU         H'0003'
;----- C32K_EN Bits ------------------------------------------------------------
C32KEN		          EQU         H'0007'
;----- TBS_SEL Bits ------------------------------------------------------------
TBLSEL1		          EQU         H'0003'
TBLSEL0		          EQU         H'0002'
;----- MISC_REG Bits ------------------------------------------------------------
STROBEN		          EQU         H'0000'
;----- INSTROBEN_B Bits ---------------------------------------------------------
INSTROBEN_B7		    EQU         H'0007'
INSTROBEN_B6		    EQU         H'0006'
INSTROBEN_B5		    EQU         H'0005'
INSTROBEN_B4		    EQU         H'0004'
INSTROBEN_B3		    EQU         H'0003'
INSTROBEN_B2		    EQU         H'0002'
INSTROBEN_B1		    EQU         H'0001'
INSTROBEN_B0		    EQU         H'0000'
;----- INSTROBEN_C Bits ---------------------------------------------------------
INSTROBEN_C7		    EQU         H'0007'
INSTROBEN_C6		    EQU         H'0006'
INSTROBEN_C5		    EQU         H'0005'
INSTROBEN_C4		    EQU         H'0004'
INSTROBEN_C3		    EQU         H'0003'
INSTROBEN_C2		    EQU         H'0002'
INSTROBEN_C1		    EQU         H'0001'
INSTROBEN_C0		    EQU         H'0000'
;----- INSTROBEN_D Bits ---------------------------------------------------------
INSTROBEN_D7		    EQU         H'0007'
                               
INSTROBEN_D5		    EQU         H'0005'
                               
INSTROBEN_D3		    EQU         H'0003'
INSTROBEN_D2		    EQU         H'0002'
INSTROBEN_D1		    EQU         H'0001'
INSTROBEN_D0		    EQU         H'0000'     
;----- WAKEUP_CTRL Bits ---------------------------------------------------------
TBLWEN       	      EQU	        H'0001'  
KEYWEN      	      EQU	        H'0000'  
;----- WAKEUP_STA Bits ---------------------------------------------------------
TBLWFC              EQU   		  H'0001'  
KEYWFC              EQU 		    H'0000'  
;----- LCD_CTRL Bits ---------------------------------------------------------
COMMAP     		      EQU         H'0006' 
RLCD1     		      EQU         H'0005' 
RLCD0     		      EQU         H'0004' 
BIASSEL     	      EQU	        H'0003' 
COMSEL     		      EQU         H'0002' 
GREENMODE           EQU         H'0001' 
LCDEN     		      EQU         H'0000' 
;----- LVD_CTRL Bits ---------------------------------------------------------
LVDEN     		      EQU         H'0007' 
LVDS1     		      EQU         H'0006' 
LVDS0     		      EQU         H'0005' 

WDTENS     		      EQU         H'0003' 
POR     		        EQU         H'0002' 
BOR                 EQU         H'0001' 
LVD     		        EQU         H'0000'   
;----- INSTROBEN_A Bits ---------------------------------------------------------
INSTROBEN_A7		    EQU         H'0007'
INSTROBEN_A6		    EQU         H'0006'
INSTROBEN_A5		    EQU         H'0005'
INSTROBEN_A4		    EQU         H'0004'
INSTROBEN_A3		    EQU         H'0003'
INSTROBEN_A2		    EQU         H'0002'
INSTROBEN_A1		    EQU         H'0001'
INSTROBEN_A0		    EQU         H'0000'
;----- PA_NMWKEN Bits ---------------------------------------------------------
PAWK7       		    EQU         H'0007'
PAWK6       		    EQU         H'0006'
PAWK5       		    EQU         H'0005'
PAWK4       		    EQU         H'0004'
PAWK3       		    EQU         H'0003'
PAWK2       		    EQU         H'0002'
PAWK1       		    EQU         H'0001'
PAWK0       		    EQU         H'0000'
;----- PB_NMWKEN Bits ---------------------------------------------------------
PBWK7               EQU		      H'0007'
PBWK6               EQU		      H'0006'
PBWK5               EQU		      H'0005'
PBWK4               EQU		      H'0004'
PBWK3               EQU		      H'0003'
PBWK2               EQU		      H'0002'
PBWK1               EQU		      H'0001'
PBWK0               EQU		      H'0000'
;----- PC_NMWKEN Bits ---------------------------------------------------------
PCWK7               EQU		      H'0007'
PCWK6               EQU		      H'0006'
PCWK5               EQU		      H'0005'
PCWK4               EQU		      H'0004'
PCWK3               EQU		      H'0003'
PCWK2               EQU		      H'0002'
PCWK1               EQU		      H'0001'
PCWK0               EQU		      H'0000'
;----- PD_NMWKEN Bits ---------------------------------------------------------
PDWK7               EQU		      H'0007'

PDWK5               EQU		      H'0005'

PDWK3               EQU		      H'0003'
PDWK2               EQU		      H'0002'
PDWK1               EQU		      H'0001'
PDWK0               EQU		      H'0000'
;----- IOA_DATBF Bits ---------------------------------------------------------
IOA_DATBF7          EQU		      H'0007'
IOA_DATBF6          EQU		      H'0006'
IOA_DATBF5          EQU		      H'0005'
IOA_DATBF4          EQU		      H'0004'
IOA_DATBF3          EQU		      H'0003'
IOA_DATBF2          EQU		      H'0002'
IOA_DATBF1          EQU		      H'0001'
IOA_DATBF0          EQU		      H'0000'
;----- IOB_DATBF Bits ---------------------------------------------------------
IOB_DATBF7       	  EQU	        H'0007'
IOB_DATBF6       	  EQU	        H'0006'
IOB_DATBF5       	  EQU	        H'0005'
IOB_DATBF4       	  EQU	        H'0004'
IOB_DATBF3       	  EQU	        H'0003'
IOB_DATBF2       	  EQU	        H'0002'
IOB_DATBF1       	  EQU	        H'0001'
IOB_DATBF0       	  EQU	        H'0000'
;----- IOC_DATBF Bits ---------------------------------------------------------
IOC_DATBF7          EQU  		    H'0007'
IOC_DATBF6          EQU  		    H'0006'
IOC_DATBF5          EQU  		    H'0005'
IOC_DATBF4          EQU  		    H'0004'
IOC_DATBF3          EQU  		    H'0003'
IOC_DATBF2          EQU  		    H'0002'
IOC_DATBF1          EQU  		    H'0001'
IOC_DATBF0          EQU  		    H'0000'
;----- IOD_DATBF Bits ---------------------------------------------------------
IOD_DATBF7          EQU 		    H'0007'
                                
IOD_DATBF5          EQU 		    H'0005'
                                
IOD_DATBF3          EQU 		    H'0003'
IOD_DATBF2          EQU 		    H'0002'
IOD_DATBF1          EQU 		    H'0001'
IOD_DATBF0          EQU 		    H'0000'
;----- IOA_SEL Bits ---------------------------------------------------------
PAS7               	EQU	        H'0007'
PAS6               	EQU	        H'0006'
PAS5               	EQU	        H'0005'
PAS4               	EQU	        H'0004'
PAS3               	EQU	        H'0003'
PAS2               	EQU	        H'0002'
PAS1               	EQU	        H'0001'
PAS0               	EQU	        H'0000'
;----- IOB_SEL Bits ---------------------------------------------------------
PBS7       		      EQU         H'0007'
PBS6       		      EQU         H'0006'
PBS5       		      EQU         H'0005'
PBS4       		      EQU         H'0004'
PBS3       		      EQU         H'0003'
;----- IOC_SEL Bits ---------------------------------------------------------
PCS7       		      EQU         H'0007'
PCS6       		      EQU         H'0006'
PCS5       		      EQU         H'0005'
PCS4       		      EQU         H'0004'
PCS3       		      EQU         H'0003'
PCS2       		      EQU         H'0002'
PCS1       		      EQU         H'0001'
PCS0       		      EQU         H'0000'
;----- LCDVD Bits ---------------------------------------------------------
RSEL                EQU         H'0006'
SPDSEL1             EQU         H'0005'
SPDSEL0             EQU         H'0004'
LCDVD3       		    EQU         H'0003'
LCDVD2       		    EQU         H'0002'
LCDVD1       		    EQU         H'0001'
LCDVD0       		    EQU         H'0000'
;----- LCDPS Bits ---------------------------------------------------------
LP3       		      EQU         H'0003'
LP2       		      EQU         H'0002'
LP1       		      EQU         H'0001'
LP0       		      EQU         H'0000'
;----- PMCON Bits ---------------------------------------------------------
RDON       		      EQU         H'0000'
;==========================================================================
errorlevel -306
; File End
;
;==========================================================================